# Return all the AutoStopping Rule fixed schedules

Retrieves all fixed schedules configured for an AutoStopping Rule. Fixed schedules define specific times when resources should be automatically started or stopped.

Endpoint: GET /gateway/lw/api/accounts/{account_id}/schedules
Version: 1.0
Security: x-api-key

## Path parameters:

  - `account_id` (string, required)
    Account Identifier for the Entity
    Example: "px7xpfWPYXVjvw"

## Query parameters:

  - `cloud_account_id` (string, required)
    Unique identifier of the cloud connector (AWS, Azure, or GCP) configured in CACM.
    Example: "lightwing_nonprod"

  - `accountIdentifier` (string, required)
    Account Identifier for authentication and authorization.
    Example: "abc12_DEFgh-ijkLMNOPqr"

  - `res_id` (string, required)
    Resource ID for which to fetch schedules.
    Example: "12345"

  - `res_type` (string, required)
    Type of resource to which schedules are attached.
    Enum: "autostop_rule"

## Response 200 fields (application/json):

  - `response` (array)

  - `response.name` (string)
    Name of the schedule

  - `response.id` (number)
    ID of fixed schedule

  - `response.account` (string)
    ID of account

  - `response.description` (string)
    Description of fixed schedule

  - `response.resources` (array)
    List of resources to be controlled by the schedule

  - `response.resources.id` (string)
    ID of the resource to be controlled by schedule. For AutoStopping rule, this would be the ID of the rule

  - `response.resources.type` (string)
    Type of the resource to be controlled
    Enum: "autostop_rule"

  - `response.details` (object)
    Details of time schedule by which the resource should be controlled

  - `response.details.uptime` (object)
    Specifies the occurrence schedule. Occurrence schedule can either be specified as period or as days

  - `response.details.uptime.period` (object)
    For schedules that uses an exact time period

  - `response.details.uptime.period.start` (string)
    Start time of the period
    Example: "2021-10-19T08:35:00.927Z"

  - `response.details.uptime.period.end` (string)
    End time of the period
    Example: "2021-10-19T08:37:58.927Z"

  - `response.details.uptime.days` (object)
    For specifying a recurring schedule in terms of week days

  - `response.details.uptime.days.days` (array)
    Days of week on which the schedule should be executed

  - `response.details.uptime.days.all_day` (boolean)
    Equivalent to selecting all days

  - `response.details.uptime.days.start_time` (object)

  - `response.details.uptime.days.start_time.hour` (number)
    Hour

  - `response.details.uptime.days.start_time.min` (number)
    Minutes

  - `response.details.uptime.days.end_time` (object)

  - `response.details.downtime` (object)
    Specifies the occurrence schedule. Occurrence schedule can either be specified as period or as days

  - `response.details.timezone` (string)
    Time zone in which the schedule should be applied


## Response 400 fields
